Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenDiagramUpdater

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenDiagramUpdaterImpl

    public interface GenDiagramUpdater

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Diagram Updater'.

The following features are supported:

- `Editor Gen`
- `Diagram Updater Class Name`
- `Node Descriptor Class Name`
- `Link Descriptor Class Name`
- `Update Command Class Name`
- `Update Command ID`

See Also:
  `GMFGenPackage.getGenDiagramUpdater()`
** Generated **
Model:

Method Summary
`java.lang.String` `getDiagramUpdaterClassName()` Returns the value of the 'Diagram Updater Class Name' attribute
`java.lang.String` `getDiagramUpdaterQualifiedClassName()`
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getLinkDescriptorClassName()` Returns the value of the 'Link Descriptor Class Name' attribute
`java.lang.String` `getLinkDescriptorQualifiedClassName()`
`java.lang.String` `getNodeDescriptorClassName()` Returns the value of the 'Node Descriptor Class Name' attribute
`java.lang.String` `getNodeDescriptorQualifiedClassName()`
`java.lang.String` `getUpdateCommandClassName()` Returns the value of the 'Update Command Class Name' attribute
`java.lang.String` `getUpdateCommandID()` Returns the value of the 'Update Command ID' attribute
`java.lang.String` `getUpdateCommandQualifiedClassName()`
`void` `setDiagramUpdaterClassName(java.lang.String value)` Sets the value of the '`Diagram Updater Class Name`' attribute
`void` `setLinkDescriptorClassName(java.lang.String value)` Sets the value of the '`Link Descriptor Class Name`' attribute
`void` `setNodeDescriptorClassName(java.lang.String value)` Sets the value of the '`Node Descriptor Class Name`' attribute
`void` `setUpdateCommandClassName(java.lang.String value)` Sets the value of the '`Update Command Class Name`' attribute
`void` `setUpdateCommandID(java.lang.String value)` Sets the value of the '`Update Command ID`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Diagram Updater`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenDiagramUpdater_EditorGen()`, `GenEditorGenerator.getDiagramUpdater()`
  ** Generated **
  Model:
    opposite="diagramUpdater" resolveProxies="false" transient="false" changeable="false"

### getDiagramUpdaterClassName

    java.lang.String getDiagramUpdaterClassName()

  Returns the value of the 'Diagram Updater Class Name' attribute.

  If the meaning of the 'Diagram Updater Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Updater Class Name' attribute.
  See Also:
    `setDiagramUpdaterClassName(String)`, `GMFGenPackage.getGenDiagramUpdater_DiagramUpdaterClassName()`
  ** Generated **
  Model:

### setDiagramUpdaterClassName

    void setDiagramUpdaterClassName(java.lang.String value)

  Sets the value of the '`Diagram Updater Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram Updater Class Name' attribute.
  See Also:
    `getDiagramUpdaterClassName()`
  ** Generated **

### getNodeDescriptorClassName

    java.lang.String getNodeDescriptorClassName()

  Returns the value of the 'Node Descriptor Class Name' attribute.

  If the meaning of the 'Node Descriptor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Node Descriptor Class Name' attribute.
  See Also:
    `setNodeDescriptorClassName(String)`, `GMFGenPackage.getGenDiagramUpdater_NodeDescriptorClassName()`
  ** Generated **
  Model:

### setNodeDescriptorClassName

    void setNodeDescriptorClassName(java.lang.String value)

  Sets the value of the '`Node Descriptor Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Node Descriptor Class Name' attribute.
  See Also:
    `getNodeDescriptorClassName()`
  ** Generated **

### getLinkDescriptorClassName

    java.lang.String getLinkDescriptorClassName()

  Returns the value of the 'Link Descriptor Class Name' attribute.

  If the meaning of the 'Link Descriptor Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Link Descriptor Class Name' attribute.
  See Also:
    `setLinkDescriptorClassName(String)`, `GMFGenPackage.getGenDiagramUpdater_LinkDescriptorClassName()`
  ** Generated **
  Model:

### setLinkDescriptorClassName

    void setLinkDescriptorClassName(java.lang.String value)

  Sets the value of the '`Link Descriptor Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Link Descriptor Class Name' attribute.
  See Also:
    `getLinkDescriptorClassName()`
  ** Generated **

### getUpdateCommandClassName

    java.lang.String getUpdateCommandClassName()

  Returns the value of the 'Update Command Class Name' attribute.

  If the meaning of the 'Update Command Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Command Class Name' attribute.
  See Also:
    `setUpdateCommandClassName(String)`, `GMFGenPackage.getGenDiagramUpdater_UpdateCommandClassName()`
  ** Generated **
  Model:

### setUpdateCommandClassName

    void setUpdateCommandClassName(java.lang.String value)

  Sets the value of the '`Update Command Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Update Command Class Name' attribute.
  See Also:
    `getUpdateCommandClassName()`
  ** Generated **

### getUpdateCommandID

    java.lang.String getUpdateCommandID()

  Returns the value of the 'Update Command ID' attribute.

  If the meaning of the 'Update Command ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Command ID' attribute.
  See Also:
    `setUpdateCommandID(String)`, `GMFGenPackage.getGenDiagramUpdater_UpdateCommandID()`
  ** Generated **
  Model:

### setUpdateCommandID

    void setUpdateCommandID(java.lang.String value)

  Sets the value of the '`Update Command ID`' attribute.

  Parameters:
    `value` - the new value of the 'Update Command ID' attribute.
  See Also:
    `getUpdateCommandID()`
  ** Generated **

### getDiagramUpdaterQualifiedClassName

    java.lang.String getDiagramUpdaterQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getNodeDescriptorQualifiedClassName

    java.lang.String getNodeDescriptorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getLinkDescriptorQualifiedClassName

    java.lang.String getLinkDescriptorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getUpdateCommandQualifiedClassName

    java.lang.String getUpdateCommandQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.